sonar.projectKey=ana-framework_user-interface
sonar.organization=ana-framework-sonar

# This is the name and version displayed in the SonarCloud UI.
sonar.projectName=User Interface
sonar.projectVersion=24.04.xx

# Path is relative to the sonar-project.properties file.
sonar.sources=app/src

# The value of the property must be the key of the language.
sonar.language=js

sonar.profile=node
# sonar.tests=spec/node

# sonar.dynamicAnalysis=reuseReports

# Encoding of the source code
sonar.sourceEncoding=UTF-8

# Exclusions for test files and other non-analyzed files
sonar.exclusions=**/javascripts/dist/*.js,**/javascripts/vendor/*.js,**/stylesheets/*.css

# Folder for the cache, avoiding cache permissions problems
sonar.scanner.cache=/tmp/sonar/cache



# SonarQube token for authentication
# Define in CI/CD environment variables, not here for security reasons
# sonar.login=${SONAR_TOKEN}
# SonarCloud URL
# sonar.host.url=https://sonarcloud.io
